Page MenuHomePhabricator

jobrunner metrics audit
Closed, ResolvedPublic

Description

hi,
while overhauling graphite metrics I noticed there are many jobrunner metrics both on mediawiki side and on the jobrunner side, do we need all of those?

root@graphite1001:/var/lib/carbon/whisper# find MediaWiki/job-* -type f | wc -l
66257
root@graphite1001:/var/lib/carbon/whisper# find jobrunner/ -type f | wc -l
75318

also related to https://gerrit.wikimedia.org/r/#/c/203847/ which means each meter metric will count as one metric, not two (count + rate)

Event Timeline

fgiunchedi claimed this task.
fgiunchedi raised the priority of this task from to Medium.
fgiunchedi updated the task description. (Show Details)
fgiunchedi added a subscriber: fgiunchedi.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2015, 4:48 PM
fgiunchedi updated the task description. (Show Details)Apr 13 2015, 4:49 PM
fgiunchedi set Security to None.
fgiunchedi removed fgiunchedi as the assignee of this task.Apr 14 2015, 9:07 AM

picking this up, related https://gerrit.wikimedia.org/r/204237 https://gerrit.wikimedia.org/r/203839 https://gerrit.wikimedia.org/r/203847
IOW switching to counters has dramatically decreased the amount of metrics (1 counter = 1 metric)

spoke with @ori and @aaron, we can drop per-type/per-wiki counters and leave only per-type (currently at 116)

fgiunchedi closed this task as Resolved.Apr 22 2015, 8:41 AM

old per-wiki counters removed, resolving